Name:       pure-ftpd-anon
Version:    1.0.36
Release:    1%{?dist}
Summary:    Lightweight, fast and secure FTP server

Group:      System Environment/Daemons
License:    BSD
URL:        http://www.pureftpd.org
Vendor:     Frank Denis <j@pureftpd.org>

Source0:    http://download.pureftpd.org/pub/pure-ftpd/releases/pure-ftpd-%{version}.tar.gz

Provides:   ftpserver
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  pam-devel, perl, python, libcap-devel
%{!?_without_ldap:BuildRequires:  openldap-devel}
%{!?_without_mysql:BuildRequires: mysql-devel}
%{!?_without_pgsql:BuildRequires: postgresql-devel}
%{!?_without_tls:BuildRequires: openssl-devel}

Requires:   pure-ftpd = %{version}

%description
Pure-FTPd is a fast, production-quality, standard-comformant FTP server,
based upon Troll-FTPd. Unlike other popular FTP servers, it has no known
security flaw, it is really trivial to set up and it is especially designed
for modern Linux and FreeBSD kernels (setfsuid, sendfile, capabilities) .
Features include PAM support, IPv6, chroot()ed home directories, virtual
domains, built-in LS, anti-warez system, bandwidth throttling, FXP, bounded
ports for passive downloads, UL/DL ratios, native LDAP and SQL support,
Apache log files and more.

Please note that this package ('pure-ftpd-anon') is not the full pure-ftpd package.
On the contrary, it contains only the 'pure-ftpd' binary called 'pure-ftpd.anon'
compiled with using some additional options especially for anonymous ftp-users.
They will be able to delete, rename, chmod and resume files placed on a ftp server.

It requires the 'pure-ftpd' package already installed in your system, and it does
not run automatically after install. To activate it, stop 'pure-ftpd' service, and:
 a) alter the 'pure-ftpd' initscript and/or 'pure-config.pl' in order to use
    'pure-ftpd.anon' binary instead of the original 'pure-ftpd'
   -- or --
 b) swap two binaries - rename the original file 'pure-ftpd' to 'pure-ftpd.original'
    (for example), rename 'pure-ftpd.anon' to 'pure-ftpd', and then start the service.

%prep
rm -rf pure-ftpd-%{version}
%setup -q -n pure-ftpd-%{version}

# here is all the magic happens
CPPFLAGS="-DANON_CAN_DELETE=1 -DANON_CAN_RENAME=1  -DANON_CAN_RESUME=1 \
 -DANON_CAN_CHANGE_PERMS=1"; export CPPFLAGS

%configure  --with-paranoidmsg \
            --with-capabilities \
            --with-privsep \
            --with-pam \
            --with-puredb \
            --with-sendfile \
            --with-altlog \
            --with-cookie \
            --with-diraliases \
            --with-throttling \
            --with-ratios \
            --with-quotas \
            --with-ftpwho \
            --with-welcomemsg \
            --with-uploadscript \
            --with-peruserlimits \
            --with-virtualhosts \
            --sysconfdir=%{_sysconfdir}/%{name} \
            --without-bonjour \
            --with-rfc2640 \
            %{!?_without_tls:--with-tls --with-certfile=%{_sysconfdir}/pki/%{name}/%{name}.pem} \
            %{!?_without_ldap:--with-ldap} \
            %{!?_without_mysql:--with-mysql} \
            %{!?_without_pgsql:--with-pgsql} \
            %{!?_without_extauth:--with-extauth}

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
cd %{_builddir}/pure-ftpd-%{version}
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_bindir}
rm -rf $RPM_BUILD_ROOT/usr/share
rm -f $RPM_BUILD_ROOT%{_sbindir}/pure-authd
rm -f $RPM_BUILD_ROOT%{_sbindir}/pure-ftpwho
rm -f $RPM_BUILD_ROOT%{_sbindir}/pure-mrtginfo
rm -f $RPM_BUILD_ROOT%{_sbindir}/pure-quotacheck
rm -f $RPM_BUILD_ROOT%{_sbindir}/pure-uploadscript

mv -f $RPM_BUILD_ROOT%{_sbindir}/pure-ftpd \
  $RPM_BUILD_ROOT%{_sbindir}/pure-ftpd.anon

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, -)
%{_sbindir}/pure-ftpd.anon


%changelog
* Fri Sep 14 2012 Denis Fateyev <denis@fateyev.com> - 1.0.36-1.denf
- Bump to version 1.0.36

* Wed Feb 08 2012 Denis Fateyev <denis@fateyev.com> - 1.0.35-1.denf
- Bump to version 1.0.35.

* Fri May 06 2011 Denis Fateyev <denis@fateyev.com> - 1.0.32-1.denf
- Bump to version 1.0.32.

* Thu Apr 07 2011 Denis Fateyev <denis@fateyev.com> - 1.0.30-1.denf
- Bump to version 1.0.30

* Wed Jun 30 2010 Denis Fateyev <denis@fateyev.com> - 1.0.29-17
- Additional features for anonymous user in pure-ftpd

* Thu May 20 2010 Denis Fateyev <denis@fateyev.com> - 1.0.29-17
- Bump version to 1.0.29

* Wed Dec 16 2009 Denis Fateyev <denis@fateyev.com> - 1.0.27-17
- Bump version to 1.0.27
- Deprecated patches were removed

* Fri May 08 2008 Lubomir Rintel <lkundrak@v3.sk> - 1.0.21-16
- Fix SITE UTIME (Nickolay Bunev, #498431)

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0.21-15
- Autorebuild for GCC 4.3

* Thu Dec 06 2007 Release Engineering <rel-eng at fedoraproject dot org> - 1.0.21-14
- Rebuild for deps

* Sun Aug 26 2007 Aurelien Bompard <abompard@fedoraproject.org> 1.0.21-13
- rebuild for BuildID

* Sat Dec 09 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.0.21-12
- rebuild

* Sat Dec 09 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.0.21-11
- rebuild

* Wed Aug 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.0.21-9
- rebuild

* Fri Aug 04 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.0.21-8
- BuildRequire selinux-policy-devel for FC6 onwards

* Fri Aug 04 2006 Aurelien Bompard <abompard@fedoraproject.org> 1.0.21-7
- install README.SELinux with perms 644 to avoid depending on the
  buildsys' umask (bug 200844)

* Fri Jun 16 2006 Aurelien Bompard <gauret[AT]free.fr> 1.0.21-6
- add missing m4 BuildRequires

* Sun May 14 2006 Aurelien Bompard <gauret[AT]free.fr> 1.0.21-5
- add missing BuildRequires

* Sun May 14 2006 Aurelien Bompard <gauret[AT]free.fr> 1.0.21-4
- add SELinux support
- prevent the init script from displaying the config on startup

* Sun Apr 09 2006 Aurelien Bompard <gauret[AT]free.fr> 1.0.21-3
- fix mysql socket location (bug 188426)

* Wed Feb 22 2006 Aurelien Bompard <gauret[AT]free.fr> 1.0.21-2
- build option rendezvous has been renamed to bonjour
- add --with-cork
- see bug 182314 for more info, thanks to Jose Pedro Oliveira

* Tue Feb 21 2006 Aurelien Bompard <gauret[AT]free.fr> 1.0.21-1
- version 1.0.21

* Sun Nov 13 2005 Aurelien Bompard <gauret[AT]free.fr> 1.0.20-4
- rebuild
- i18n in init script

* Mon Aug 01 2005 Aurelien Bompard <gauret[AT]free.fr> 1.0.20-3
- build feature-complete by default
- add TLS support
- see bug #162849

* Wed Mar 23 2005 Aurelien Bompard <gauret[AT]free.fr> 1.0.20-2.fc4
- implement Jose's RFE in bug 151337: pure-ftpwho can be run
  by a normal user.
- change release tag for FC4

* Sun Mar 13 2005 Aurelien Bompard <gauret[AT]free.fr> 1.0.20-1
- adapt to Fedora Extras (drop Epoch, change Release tag)

* Wed Feb 16 2005 Aurelien Bompard <gauret[AT]free.fr> 0:1.0.20-0.fdr.9
- license is BSD, not GPL

* Mon Feb 14 2005 Aurelien Bompard <gauret[AT]free.fr> 0:1.0.20-0.fdr.8
- various fixes. See bug 1573 (fedora.us) for more info.

* Fri Feb 11 2005 Aurelien Bompard <gauret[AT]free.fr> 0:1.0.20-0.fdr.7
- fix init script
- require logrotate
- add rebuild switches to lower dependancies
- see bug 1573 (fedora.us) for more info.

* Fri Feb 04 2005 Aurelien Bompard <gauret[AT]free.fr> 0:1.0.20-0.fdr.6
- Add the "UseFtpUsers no" directive in the config file since we don't
  use it anymore

* Wed Feb 02 2005 Aurelien Bompard <gauret[AT]free.fr> 0:1.0.20-0.fdr.5
- various spec file improvements

* Mon Jan 31 2005 Aurelien Bompard <gauret[AT]free.fr> 0:1.0.20-0.fdr.4
- add patch for x86_64 support
- implement wishes in bug 1573 from Jose Pedro Oliveira
- don't use the ftpusers file, and thus remove conflicts with other FTP servers
- rediff config patch

* Tue Nov 02 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0.20-0.fdr.3
- add large file support

* Fri Sep 24 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0.20-0.fdr.2
- redirect %%preun output to /dev/null
- add requirements to chkconfig for the scriptlets

* Sun Aug 01 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0.20-0.fdr.1
- version 1.0.20 (bugfixes)

* Mon Jun 28 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0.19-0.fdr.1
- version 1.0.19

* Tue May 04 2004 Aurelien Bompard <gauret[AT]free.fr> 0:1.0.18-0.fdr.1
- version 1.0.18
- spec file cleanups

* Sun Oct 19 2003 Aurelien Bompard <gauret[AT]free.fr> 1.0.16a-1
- Redhatize the Mandrake RPM
- version 1.0.16a
- improve ftpusers creation script

